model BungeeJump "A simple model of a bungee jump"
  annotation(__Wolfram(useDocumentationTemplate=false), Documentation(info="<html><!--WSMINSERTIONTAGSTART BungeeDocumentation -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Bungee Jump: Simulate Multibody Systems</h1><div class=\"contenttable\">
<span class=\"contenttableheader\">CONTENTS:</span><br/>
<table class=\"contenttabletable\"><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Introduction').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Introduction</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Automatic3DAnimation').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Automatic 3D Animation</a></td></tr><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_InstantPlotting').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Instant Plotting</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_ChangeParameters').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Change Parameters</a></td></tr></table></div><a id=\"headerTag_Introduction\" class=\"target\">&nbsp;</a>
<h2>Introduction</h2>
<p class=\"\">
This is a simple model of a bungee jumper consisting of a mass attached to a platform by a spring and damper.
</p><a id=\"headerTag_Automatic3DAnimation\" class=\"target\">&nbsp;</a>
<h2>Automatic 3D Animation</h2>
<p class=\"\">
Multibody systems have visualizers to show what a real-world system would look like.
</p><p class=\"\">
<img src=\"DocumentationFiles/jumper.png\" alt=\"\"/>
</p><p class=\"\">
To simulate the model and view a 3D animation of it, follow the steps below:
</p><ul><li>Click the <img src=\"DocumentationFiles/simCenter.png\" alt=\"\"/> button in the top-right corner.</li><li>When the build is finished, click the <span class=\"dialogelement\">Simulate</span> button <img src=\"DocumentationFiles/simulate.png\" alt=\"\"/>.</li><li>Click the <span class=\"dialogelement\">Animate</span> button <img src=\"DocumentationFiles/animate.png\" alt=\"\"/>.</li><li>Use your mouse or trackpad to drag the animation to a good angle and zoom in with your scroll wheel or by using the trackpad. Then click the <span class=\"dialogelement\">Play</span> button to play the animation.</li></ul><a id=\"headerTag_InstantPlotting\" class=\"target\">&nbsp;</a>
<h2>Instant Plotting</h2>
<p class=\"\">
Explore the how the force on the cord varies with time by simulating and plotting the variable <span class=\"variablename\">ElasticCord.f</span>.
</p><p class=\"\">
To plot a variable, mark its checkbox in the <span class=\"dialogelement\">Plot</span> tab on the left in <span style=\"font-style:italic;\">Simulation Center</span>.
</p><p class=\"\">
<img src=\"DocumentationFiles/plotting.png\" alt=\"\"/>
</p><a id=\"headerTag_ChangeParameters\" class=\"target\">&nbsp;</a>
<h2>Change Parameters</h2>
<p class=\"\">
Changing parameters for the simulation can be done rapidly in <span style=\"font-style:italic;\">Simulation Center</span>. Switch to the <span class=\"dialogelement\">Parameters</span> tab and enter a new value for the parameter you would like to vary.
</p><p class=\"\">
<img src=\"DocumentationFiles/parameters.png\" alt=\"\"/>
</p><p class=\"\">
Simulate again to see the effects of your changes.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('160').style.display == 'none'){
document.getElementById('160').style.display = 'block';
document.getElementById('show160').style.display = 'none';
document.getElementById('hide160').style.display = 'inline';
} else {
document.getElementById('160').style.display = 'none';
document.getElementById('show160').style.display = 'inline';
document.getElementById('hide160').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show160\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide160\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"160\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"161\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"162\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND BungeeDocumentation --></html>", revisions=""), preferredView="info", uses(Modelica(version="3.1")), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Text(visible=true, origin={0.0,28.0}, lineColor={255,0,0}, extent={{-120.0,73.0},{120.0,132.0}}, textString="%name", fontName="Arial"),Rectangle(visible=true, lineColor={111,0,0}, fillColor={255,0,0}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25),Text(visible=true, origin={12.0,20.8333}, fillColor={255,255,255}, fillPattern=FillPattern.Solid, extent={{-102.0,-70.8333},{78.0,29.1667}}, textString="Ex", fontName="Arial")}), Diagram(coordinateSystem(extent={{-105.0,-80.0},{105.0,80.0}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5}), graphics), experiment(StartTime=0.0, StopTime=15, NumberOfIntervals=-1, Algorithm="dassl", Tolerance=0.000001));
  inner Modelica.Mechanics.MultiBody.World world(axisShowLabels=false, animateWorld=false, animateGravity=false) annotation(Placement(visible=true, transformation(origin={-80.0,60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Mechanics.MultiBody.Forces.SpringDamperParallel ElasticCord(c=240.0, d=40.0, s_unstretched=0.01, numberOfWindings=1, s.start=0.2, coilWidth=0.01, color={255,0,0}) annotation(Placement(visible=true, transformation(origin={40.0,20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
  Modelica.Mechanics.MultiBody.Parts.FixedTranslation Platform(r={1.5,0.0,0.0}, widthDirection={0,1.0,0}, height=0.7, shapeType="cylinder", width=0.1, color={255,120,12}, r_shape={-0.2,0.0,0.0}) annotation(Placement(visible=true, transformation(origin={0.0,60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Mechanics.MultiBody.Parts.Fixed fixed1(height=0.1, r={0,-10,0}, widthDirection={0.0,0.1,0.0}, animation=false) annotation(Placement(visible=true, transformation(origin={-80.0,-60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Mechanics.MultiBody.Visualizers.FixedShape Ground(height=30, length=30, width=0.02, r_shape={-10,0,0}) annotation(Placement(visible=true, transformation(origin={40.0,-60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Mechanics.MultiBody.Parts.Body Jumper(I_11=0.8, I_22=8, I_33=0.8, angles_fixed=false, animation=false, cylinderDiameter=0.35, frame_a.r_0.start={3,0.0,0.0}, m=75.0, r_0.start={1,1,1}, r_CM={0.0,1,0}, sphereDiameter=0.25, v_0.start={3.5,2.0,0.0}, w_0_fixed=true, w_0_start={0,0,0.0349065850398866}) annotation(Placement(visible=true, transformation(origin={40.0,-20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
  Modelica.Mechanics.MultiBody.Visualizers.FixedShape JumperTexture(shapeType="DocumentationFiles/jumper.obj", height=1, length=1, width=0.1, lengthDirection={0,-1,0}, r_shape={0,0,0}) annotation(Placement(visible=true, transformation(origin={80.0,-20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
  Modelica.Mechanics.MultiBody.Visualizers.FixedShape BridgeTexture(height(start=10)=10, length(start=10)=10, shapeType="DocumentationFiles/bridge.obj", width(start=10)=10, r_shape={0.0,-2.2,0}, lengthDirection={0,0,1}, widthDirection={5,0,0}) annotation(Placement(visible=true, transformation(origin={-40.0,20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-360)));
  Modelica.Mechanics.MultiBody.Parts.FixedTranslation BridgeToPlatform(color={255,120,12}, height=0.7, r={1.5,0.0,0.0}, shapeType="cylinder", width=0.1, widthDirection={0,1.0,0}, animation=false) annotation(Placement(visible=true, transformation(origin={-39.5425,60.0}, extent={{-9.5425,-9.5425},{9.5425,9.5425}}, rotation=0)));
equation 
  connect(BridgeTexture.frame_a,BridgeToPlatform.frame_a) annotation(Line(visible=true, origin={-51.3212,40.0}, points={{1.3212,-20.0},{-1.7788,-20.0},{-1.7788,20.0},{2.2362,20.0}}));
  connect(ElasticCord.frame_a,Platform.frame_b) annotation(Line(visible=true, origin={30.0,50.0}, points={{10.0,-20.0},{10.0,10.0},{-20.0,10.0}}));
  connect(BridgeToPlatform.frame_b,Platform.frame_a) annotation(Line(visible=true, origin={-20.0,60.0}, points={{-10.0,0.0},{10.0,0.0}}));
  connect(BridgeToPlatform.frame_a,world.frame_b) annotation(Line(visible=true, origin={-59.5425,60.0}, points={{10.4575,0.0},{-10.4575,0.0}}));
  connect(fixed1.frame_b,Ground.frame_a) annotation(Line(visible=true, origin={-20.0,-60.0}, points={{-50.0,0.0},{50.0,0.0}}));
  connect(JumperTexture.frame_a,Jumper.frame_a) annotation(Line(visible=true, origin={30.0,-50.0}, points={{50.0,40.0},{10.0,40.0}}));
  connect(Jumper.frame_a,ElasticCord.frame_b) annotation(Line(visible=true, origin={40.0,-0.0}, points={{0.0,-10.0},{0.0,10.0}}));
end BungeeJump;